## gate.creole
Class TestCreole

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.creole.TestCreole

All Implemented Interfaces:
  junit.framework.Test

public class TestCreole
extends junit.framework.TestCase

CREOLE test class

Inner Class Summary
`(package private) class` `TestCreole.DocumentImplBeanInfo` Example of what bean info classes do.

Field Summary
`private static boolean` `DEBUG` Debug flag
`private CreoleRegister` `reg` Local shorthand for the CREOLE register

Fields inherited from class junit.framework.TestCase
`fName`

Constructor Summary
`TestCreole(String name)` Construction

Method Summary
`protected boolean` `allAutoloaders(List l)` Utility method to check that a list of resources are all auto-loading.
`static void` `printProperty(PropertyDescriptor prop)` Utility method to print out the values of a property descriptor
`void` `setUp()` Fixture set up
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `tearDown()` Put things back as they should be after running tests (reinitialise the CREOLE register).
`void` `testArbitraryMetadata()` Test arbitrary metadata elements on resources
`void` `testClassIndex()` Test resource indexing by class
`void` `testComments()` Test comments on resources
`void` `testDefaultRun()` Test default run() on processing resources
`void` `testDiscovery()` Test resource discovery
`void` `testFactory()` Test the Factory resource creation provisions
`void` `testInstanceLists()` Test the getInstances methods on CreoleRegister
`void` `testIntrospection()` Test resource introspection
`void` `testLoading()` Test resource loading
`void` `testMetadata()` Test resource metadata
`void` `testParamAsLists()` Test param as lists
`void` `testParameterDefaults1()` Test parameter defaults
`void` `testParameterDefaults2()` Test parameter defaults (2)
`void` `testParameters()` Test parameters
`void` `testToolsAndPrivate()` Test TOOLS and PRIVATE attributes
`void` `testTypeLists()` Test type lists
`void` `testViews()` Test view registration

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### reg

    private CreoleRegister reg

  Local shorthand for the CREOLE register

Constructor Detail

### TestCreole

    public TestCreole(String name)
               throws GateException

  Construction

Method Detail

### setUp

    public void setUp()
               throws Exception

  Fixture set up
  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    public void tearDown()
                  throws Exception

  Put things back as they should be after running tests (reinitialise the CREOLE register).
  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testInstanceLists

    public void testInstanceLists()
                           throws Exception

  Test the getInstances methods on CreoleRegister

### testViews

    public void testViews()
                   throws Exception

  Test view registration

### allAutoloaders

    protected boolean allAutoloaders(List l)

  Utility method to check that a list of resources are all auto-loading.

### testDiscovery

    public void testDiscovery()
                       throws Exception

  Test resource discovery

### testMetadata

    public void testMetadata()
                      throws Exception

  Test resource metadata

### testToolsAndPrivate

    public void testToolsAndPrivate()
                             throws Exception

  Test TOOLS and PRIVATE attributes

### testLoading

    public void testLoading()
                     throws Exception

  Test resource loading

### testClassIndex

    public void testClassIndex()
                        throws Exception

  Test resource indexing by class

### testTypeLists

    public void testTypeLists()
                       throws Exception

  Test type lists

### testComments

    public void testComments()
                      throws Exception

  Test comments on resources

### testParameterDefaults1

    public void testParameterDefaults1()
                                throws Exception

  Test parameter defaults

### testParameterDefaults2

    public void testParameterDefaults2()
                                throws Exception

  Test parameter defaults (2)

### testParamAsLists

    public void testParamAsLists()
                          throws Exception

  Test param as lists

### testParameters

    public void testParameters()
                        throws Exception

  Test parameters

### testDefaultRun

    public void testDefaultRun()
                        throws Exception

  Test default run() on processing resources

### testArbitraryMetadata

    public void testArbitraryMetadata()
                               throws Exception

  Test arbitrary metadata elements on resources

### testIntrospection

    public void testIntrospection()
                           throws Exception

  Test resource introspection

### testFactory

    public void testFactory()
                     throws Exception

  Test the Factory resource creation provisions

### printProperty

    public static void printProperty(PropertyDescriptor prop)

  Utility method to print out the values of a property descriptor
  See Also:
    `PropertyDescriptor`

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner